nlohmann::detail::input_stream_adapter Class Reference

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::input_stream_adapter:
[legend]
Collaboration diagram for nlohmann::detail::input_stream_adapter:
[legend]

## Public Types

using | char_type = char

## Public Member Functions

| ~input_stream_adapter () override
| input_stream_adapter (std::istream &i)
| input_stream_adapter (const input_stream_adapter &)=delete
input_stream_adapter & | operator= (input_stream_adapter &)=delete
| input_stream_adapter (input_stream_adapter &&)=delete
input_stream_adapter & | operator= (input_stream_adapter &&)=delete
std::char_traits< char >::int_type | get_character () override
| get a character [0,255] or std::char_traits<char>::eof(). More...
| ~input_stream_adapter ()
| input_stream_adapter (std::istream &i)
| input_stream_adapter (const input_stream_adapter &)=delete
input_stream_adapter & | operator= (input_stream_adapter &)=delete
input_stream_adapter & | operator= (input_stream_adapter &&rhs)=delete
| input_stream_adapter (input_stream_adapter &&rhs) noexcept
std::char_traits< char >::int_type | get_character ()
| get a character [0,255] or std::char_traits<char>::eof(). More...
Public Member Functions inherited from nlohmann::detail::input_adapter_protocol
virtual | ~input_adapter_protocol ()=default

## Detailed Description

Input adapter for a (caching) istream. Ignores a UFT Byte Order Mark at beginning of input. Does not support changing the underlying std::streambuf in mid-input. Maintains underlying std::istream and std::streambuf to support subsequent use of standard std::istream operations to process any input characters following those used in parsing the JSON input. Clears the std::istream flags; any input errors (e.g., EOF) will be detected by the first subsequent call for input from the std::istream.

## Member Typedef Documentation

## char_type

using nlohmann::detail::input_stream_adapter::char_type = char

## Constructor & Destructor Documentation

## ~input_stream_adapter() [1/2]

nlohmann::detail::input_stream_adapter::~input_stream_adapter | ( |  | ) |

inlineoverride

## input_stream_adapter() [1/6]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | std::istream & | i | ) |

inlineexplicit

## input_stream_adapter() [2/6]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | const input_stream_adapter & |  | ) |

delete

## input_stream_adapter() [3/6]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | input_stream_adapter && |  | ) |

delete

## ~input_stream_adapter() [2/2]

nlohmann::detail::input_stream_adapter::~input_stream_adapter | ( |  | ) |

inline

## input_stream_adapter() [4/6]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | std::istream & | i | ) |

inlineexplicit

## input_stream_adapter() [5/6]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | const input_stream_adapter & |  | ) |

delete

## input_stream_adapter() [6/6]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | input_stream_adapter && | rhs | ) |

inlinenoexcept

## Member Function Documentation

## get_character() [1/2]

std::char_traits<char>::int_type nlohmann::detail::input_stream_adapter::get_character | ( |  | ) |

inlinevirtual

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

## get_character() [2/2]

std::char_traits<char>::int_type nlohmann::detail::input_stream_adapter::get_character | ( |  | ) |

inlineoverridevirtual

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

## operator=() [1/4]

input_stream_adapter& nlohmann::detail::input_stream_adapter::operator= | ( | input_stream_adapter && |  | ) |

delete

## operator=() [2/4]

input_stream_adapter& nlohmann::detail::input_stream_adapter::operator= | ( | input_stream_adapter && | rhs | ) |

delete

## operator=() [3/4]

input_stream_adapter& nlohmann::detail::input_stream_adapter::operator= | ( | input_stream_adapter & |  | ) |

delete

## operator=() [4/4]

input_stream_adapter& nlohmann::detail::input_stream_adapter::operator= | ( | input_stream_adapter & |  | ) |

delete

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp